# Slds
Short description and motivation.

## Installation
Add this line to your application's Gemfile:

```ruby
gem 'slds'
```

And then execute:
```bash
$ bundle
```

Or install it yourself as:
```bash
$ gem install slds
```

## Setup

1. Add to your helper:

```ruby
module ApplicationHelper
  include Slds::Helper
  slds_config version: '2.3.1', debug: false
end
```

2. Add the link tag to your layout:

```erb
<%= slds_link_tag 'data-turbolinks-track': 'reload' %>
```

3. Now you can also load images and any other asset from slds:

```erb
# uses relative path: `/slds/images/spinners/slds_spinner.gif`
<%= image_tag slds_assets_path('images/spinners/slds_spinner.gif') %>

# uses absolute url: `https://unpkg.com/@salesforce-ux/design-system@2.3.1/assets/images/spinners/slds_spinner.gif'
<%= image_tag slds_asset_url('images/spinners/slds_spinner.gif') %>
```

You can see all available assets on slds CDN at: https://unpkg.com/@salesforce-ux/design-system@2.3.1/assets/

## Contributing
Contribution directions go here.

## License
The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).
